﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

// Démo DataTemplateSelector WPF émulé pour Silverlight
// Fev 2011 - Olivier Dahan
// odahan@gmail.com
// www.e-naxos.com/blog

namespace SilverlightApplication2
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            var cs = new CustomerCollection();
            var c = new Customer { Name = "ClientA", AllStreamsAllowed = false };
            c.Streams.AddWithParent(new Stream { Name = "Dossier CC", Selected = true }, c);
            c.Streams.AddWithParent(new Stream { Name = "Dossier XX", Selected = false }, c);
            c.Streams.AddWithParent(new Stream { Name = "Dossier Toto", Selected = true }, c);
            cs.Add(c);

            c = new Customer { Name = "ClientB", AllStreamsAllowed = false };
            c.Streams.AddWithParent(new Stream { Name = "Dossier AAA", Selected = false }, c);
            c.Streams.AddWithParent(new Stream { Name = "Dossier BBB", Selected = false }, c);
            c.Streams.AddWithParent(new Stream { Name = "Dossier CCC", Selected = true }, c);
            cs.Add(c);

            c = new Customer { Name = "ClientC", AllStreamsAllowed = true };
            c.Streams.AddWithParent(new Stream { Name = "Dossier AA", Selected = false }, c);
            c.Streams.AddWithParent(new Stream { Name = "Dossier AB", Selected = false }, c);
            c.Streams.AddWithParent(new Stream { Name = "Dossier AC", Selected = false }, c);
            cs.Add(c);

            TV.ItemsSource = cs;
        }
    }
}
