﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication2
{
    public class CustomerStreamDataTemplateSelector : DataTemplateSelector
    {

        public DataTemplate CustomerDataTemplate { get; set; }
        public DataTemplate StreamDataTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            var i = item as TreeBase;
            if (i == null) return base.SelectTemplate(item, container);
            return i.GetType() == typeof (Customer) ? CustomerDataTemplate : StreamDataTemplate;
        }
    }
}
